| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
cv::face::BIF Class Referenceabstract

`#include <opencv2/face/bif.hpp>`

Collaboration diagram for cv::face::BIF:

## Public Member Functions
virtual void | compute (InputArray image, OutputArray features) const =0
virtual int | getNumBands () const =0
virtual int | getNumRotations () const =0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< BIF > | create (int num_bands=8, int num_rotations=12)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Implementation of bio-inspired features (BIF) from the paper: Guo, Guodong, et al. "Human age estimation using bio-inspired features." Computer Vision and Pattern Recognition, 2009. CVPR 2009.

## Member Function Documentation

## ◆ compute()

virtual void cv::face::BIF::compute | ( | InputArray | image,
|  | OutputArray | features ) const
| pure virtual

Python:
| cv.face.BIF.compute( | image[, features] | ) -> | features

Computes features sby input image.

Parameters

  image | Input image (CV_32FC1).
  features | Feature vector (CV_32FC1).

## ◆ create()

static Ptr< BIF > cv::face::BIF::create | ( | int | num_bands = 8,
|  | int | num_rotations = 12 )
| static

Python:
| cv.face.BIF.create( | [, num_bands[, num_rotations]] | ) -> | retval
| cv.face.BIF_create( | [, num_bands[, num_rotations]] | ) -> | retval

Parameters

  num_bands | The number of filter bands (<=8) used for computing BIF.
  num_rotations | The number of image rotations for computing BIF.

Returns
  Object for computing BIF.

## ◆ getNumBands()

virtual int cv::face::BIF::getNumBands | ( |  | ) | const
| pure virtual

Python:
| cv.face.BIF.getNumBands( |  | ) -> | retval

Returns
  The number of filter bands used for computing BIF.

## ◆ getNumRotations()

virtual int cv::face::BIF::getNumRotations | ( |  | ) | const
| pure virtual

Python:
| cv.face.BIF.getNumRotations( |  | ) -> | retval

Returns
  The number of image rotations.

The documentation for this class was generated from the following file:

- opencv2/face/bif.hpp